#main {
    margin: auto;
    width: 400px;
}
div {
    margin: 20px;
}
#p2 {
    background-color: blue;
    width: 400px;
    margin: auto;
    border: 2px solid black;
    padding: 10px;
}
#p3 {
    background-color: red;
    border: 2px solid black;
    padding: 15px;
}
#p4{
    color: blue;
    display: inline;
}
#p5{
    color: orange;
    display: inline;
}
#p6 {
    background-color: darkgreen;
    width: 200px;
    border: 2px solid black;
    display: inline-block;
}